Package csb :: Package statistics :: Package samplers :: Package mc :: Class ShortTrajectoryBuilder

[frames] | no frames]

# Class ShortTrajectoryBuilder

source code

           object --+
                    |
    TrajectoryBuilder --+
                        |
                       ShortTrajectoryBuilder

Instance Methods

add_intermediate_state(self, state) Adds a state to the end of the trajectory | source code

Inherited from `TrajectoryBuilder`: `__init__`, `add_final_state`, `add_initial_state` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `TrajectoryBuilder`: `create`

Properties
| product The PropagationResult instance built by a specific instance of this class
Inherited from `object`: `__class__`

Method Details

### add_intermediate_state(self, state)

source code

Adds a state to the end of the trajectory

Parameters:
  - `state` - state to be added
Overrides: TrajectoryBuilder.add_intermediate_state
  (inherited documentation)

Property Details

### product

The PropagationResult instance built by a specific instance of this class

Get Method:
  unreachable.product(self) - The PropagationResult instance built by a specific instance of this class